const modal = (theme) => ({
	'.calendar': {
		width: '100%',
		height: 'fit-content',
		tableLayout: 'fixed',
		'&-controller': {
			fontSize: '1.5rem',
			display: 'flex',
			justifyContent: 'flex-end',
			alignItems: 'center'
		},
		'&-days .calendar-cell': {
			textTransform: 'capitalize',
			padding: '.25rem 0',
			textAlign: 'center',
			color: theme('colors.black')
		},
		'&-row:hover &-cell-typeWeek &-day--hover': {
			backgroundColor: theme('colors.focus.background')
		},
		'&-cell': {
			display: 'table-cell'
		},
		'&-day': {
			textAlign: 'center',
			margin: '2px auto',
			padding: '2px 0',
			height: '30px',
			width: '30px',
			borderRadius: theme('borderRadius.full'),
			'&--otherMonth': {
				color: theme('colors.gray.400')
			},
			'&--selected': {
				backgroundColor: theme('colors.primary.background'),
				color: theme('colors.primary.color'),
				border: `1px solid ${theme('colors.primary.border')}`
			},
			'&--today': {
				backgroundColor: theme('colors.active.background'),
				border: `1px solid ${theme('colors.active.border')}`,
				color: theme('colors.active.color')
			},
			'&--hover:hover': {
				cursor: 'pointer',
				color: theme('colors.white'),
				backgroundColor: theme('colors.focus.background')
			}
		}
	}
});

module.exports = ({ addComponents, theme }) => {
	addComponents(modal(theme));
};

module.exports.modal = modal;
