const buildState = (theme, border, bg) => {
	return {
		'& > div:first-of-type': {
			border: `1px solid ${theme(border)}`,
			borderRight: 'none',
			borderRadius: `${theme('borderRadius.md')} 0 0 ${theme('borderRadius.md')}`,
			padding: '1rem',
			paddingRight: '.5rem',
			backgroundColor: theme(bg),
			'& > svg': {
				fontSize: '1.5rem',
				color: theme(border)
			}
		},
		'& > div:last-of-type': {
			width: '100%',
			border: `1px solid ${theme(border)}`,
			backgroundColor: theme(bg),
			borderLeft: 'none',
			padding: '1rem',
			paddingLeft: theme('spacing.1'),
			borderRadius: `0 ${theme('borderRadius.md')} ${theme('borderRadius.md')} 0`,
			display: 'flex',
			alignItems: 'center'
		}
	};
};

const message = (theme) => ({
	'.message': {
		width: '100%',
		display: 'flex',
		color: theme('colors.black'),
		borderRadius: theme('borderRadius.md'),
		backgroundColor: 'white',
		'&--none': buildState(theme, 'colors.gray.400', 'colors.gray.100'),
		'&--info': buildState(theme, 'colors.status.info.border', 'colors.status.info.background2'),
		'&--success': buildState(theme, 'colors.status.success.border', 'colors.status.success.background2'),
		'&--warning': buildState(theme, 'colors.status.warning.border', 'colors.status.warning.background2'),
		'&--error': buildState(theme, 'colors.status.error.border', 'colors.status.error.background2')
	}
});

module.exports = ({ addComponents, theme }) => {
	addComponents(message(theme));
};

module.exports.message = message;
